From 514c8ab66cd3137c5d8f0f4f1ea045e12876685e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?R=C3=A9mi=20Verschelde?= <rverschelde@gmail.com>
Date: Sun, 24 Sep 2017 12:35:07 +0200
Subject: [PATCH 3/4] main: Cosmetic changes to help output

It still uses the old-style switches with only one dash for long arguments,
contrarily to the better help output of the master branch, but it is not worth
doing such big changes in the stable branch at this time.
---
 main/main.cpp | 74 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 39 insertions(+), 35 deletions(-)

diff --git a/main/main.cpp b/main/main.cpp
index 572778451..226f8bae9 100644
--- a/main/main.cpp
+++ b/main/main.cpp
@@ -127,15 +127,19 @@

 void Main::print_help(const char *p_binary) {

-	OS::get_singleton()->print(VERSION_FULL_NAME " (c) 2008-2017 Juan Linietsky, Ariel Manzur.\n");
-	OS::get_singleton()->print("Usage: %s [options] [scene]\n", p_binary);
+	OS::get_singleton()->print(VERSION_FULL_NAME " - https://godotengine.org\n");
+	OS::get_singleton()->print("(c) 2007-2017 Juan Linietsky, Ariel Manzur.\n");
+	OS::get_singleton()->print("(c) 2014-2017 Godot Engine contributors.\n");
+	OS::get_singleton()->print("\n");
+	OS::get_singleton()->print("Usage: %s [options] [path to scene or 'engine.cfg' file]\n", p_binary);
+	OS::get_singleton()->print("\n");
 	OS::get_singleton()->print("Options:\n");
-	OS::get_singleton()->print("\t-path [dir] : Path to a game, containing engine.cfg\n");
+	OS::get_singleton()->print("\t-h, -help : Print these usage instructions.\n");
+	OS::get_singleton()->print("\t-path <dir> : Path to a game, containing engine.cfg.\n");
 #ifdef TOOLS_ENABLED
-	OS::get_singleton()->print("\t-e,-editor : Bring up the editor instead of running the scene.\n");
+	OS::get_singleton()->print("\t-e, -editor : Bring up the editor instead of running the scene.\n");
 #endif
-	OS::get_singleton()->print("\t-test [test] : Run a test.\n");
-	OS::get_singleton()->print("\t\t(");
+	OS::get_singleton()->print("\t-test <test> : Run a test (");
 	const char **test_names = tests_get_names();
 	const char *coma = "";
 	while (*test_names) {
@@ -144,48 +148,48 @@
 		test_names++;
 		coma = ", ";
 	}
-	OS::get_singleton()->print(")\n");
+	OS::get_singleton()->print(").\n");

-	OS::get_singleton()->print("\t-r WIDTHxHEIGHT\t : Request Window Resolution\n");
-	OS::get_singleton()->print("\t-p XxY\t : Request Window Position\n");
-	OS::get_singleton()->print("\t-f\t\t : Request Fullscreen\n");
-	OS::get_singleton()->print("\t-mx\t\t Request Maximized\n");
-	OS::get_singleton()->print("\t-w\t\t Request Windowed\n");
-	OS::get_singleton()->print("\t-vd DRIVER\t : Video Driver (");
+	OS::get_singleton()->print("\t-r <width>x<height> : Request window resolution.\n");
+	OS::get_singleton()->print("\t-p <X>x<Y> : Request window position.\n");
+	OS::get_singleton()->print("\t-f : Request fullscreen.\n");
+	OS::get_singleton()->print("\t-mx : Request maximized.\n");
+	OS::get_singleton()->print("\t-w : Request windowed.\n");
+	OS::get_singleton()->print("\t-vd <driver> : Video driver (");
 	for (int i = 0; i < OS::get_singleton()->get_video_driver_count(); i++) {

 		if (i != 0)
 			OS::get_singleton()->print(", ");
 		OS::get_singleton()->print("%s", OS::get_singleton()->get_video_driver_name(i));
 	}
-	OS::get_singleton()->print(")\n");
-	OS::get_singleton()->print("\t-ldpi\t : Force low-dpi mode (OSX Only)\n");
+	OS::get_singleton()->print(").\n");
+	OS::get_singleton()->print("\t-ldpi : Force low-dpi mode (OSX only).\n");

-	OS::get_singleton()->print("\t-ad DRIVER\t : Audio Driver (");
+	OS::get_singleton()->print("\t-ad <driver> : Audio driver (");
 	for (int i = 0; i < OS::get_singleton()->get_audio_driver_count(); i++) {

 		if (i != 0)
 			OS::get_singleton()->print(", ");
 		OS::get_singleton()->print("%s", OS::get_singleton()->get_audio_driver_name(i));
 	}
-	OS::get_singleton()->print(")\n");
-	OS::get_singleton()->print("\t-rthread <mode>\t : Render Thread Mode ('unsafe', 'safe', 'separate').\n");
-	OS::get_singleton()->print("\t-s,-script [script] : Run a script.\n");
-	OS::get_singleton()->print("\t-d,-debug : Debug (local stdout debugger).\n");
-	OS::get_singleton()->print("\t-rdebug ADDRESS : Remote debug (<ip>:<port> host address).\n");
-	OS::get_singleton()->print("\t-fdelay [msec]: Simulate high CPU load (delay each frame by [msec]).\n");
-	OS::get_singleton()->print("\t-timescale [msec]: Simulate high CPU load (delay each frame by [msec]).\n");
-	OS::get_singleton()->print("\t-bp : breakpoint list as source::line comma separated pairs, no spaces (%%20,%%2C,etc instead).\n");
-	OS::get_singleton()->print("\t-v : Verbose stdout mode\n");
-	OS::get_singleton()->print("\t-lang [locale]: Use a specific locale\n");
-	OS::get_singleton()->print("\t-rfs <host/ip>[:<port>] : Remote FileSystem.\n");
-	OS::get_singleton()->print("\t-rfs_pass <password> : Password for Remote FileSystem.\n");
+	OS::get_singleton()->print(").\n");
+	OS::get_singleton()->print("\t-rthread <mode> : Render thread mode ('unsafe', 'safe', 'separate').\n");
+	OS::get_singleton()->print("\t-s, -script <script> : Run a script.\n");
+	OS::get_singleton()->print("\t-d, -debug : Debug (local stdout debugger).\n");
+	OS::get_singleton()->print("\t-rdebug <address> : Remote debug (<ip>:<port> host address).\n");
+	OS::get_singleton()->print("\t-fdelay <msec> : Simulate high CPU load (delay each frame by [msec]).\n");
+	OS::get_singleton()->print("\t-timescale <msec> : Define custom timescale (time between frames in [msec]).\n");
+	OS::get_singleton()->print("\t-bp : Breakpoint list as source::line comma separated pairs, no spaces (%%20 instead).\n");
+	OS::get_singleton()->print("\t-v : Verbose stdout mode.\n");
+	OS::get_singleton()->print("\t-lang <locale> : Use a specific locale.\n");
+	OS::get_singleton()->print("\t-rfs <host/ip>[:<port>] : Remote filesystem.\n");
+	OS::get_singleton()->print("\t-rfs_pass <password> : Password for remote filesystem.\n");
 #ifdef TOOLS_ENABLED
-	OS::get_singleton()->print("\t-doctool FILE: Dump the whole engine api to FILE in XML format. If FILE exists, it will be merged.\n");
-	OS::get_singleton()->print("\t-nodocbase: Disallow dump the base types (used with -doctool).\n");
-	OS::get_singleton()->print("\t-optimize FILE Save an optimized copy of scene to FILE.\n");
-	OS::get_singleton()->print("\t-optimize_preset [preset] Use a given preset for optimization.\n");
-	OS::get_singleton()->print("\t-export [target] Export the project using given export target.\n");
+	OS::get_singleton()->print("\t-doctool <file> : Dump the whole engine api to <file> in XML format. If <file> exists, it will be merged.\n");
+	OS::get_singleton()->print("\t-nodocbase : Disallow dump the base types (used with -doctool).\n");
+	OS::get_singleton()->print("\t-optimize <file> : Save an optimized copy of scene to <file>.\n");
+	OS::get_singleton()->print("\t-optimize_preset <preset> : Use a given preset for optimization.\n");
+	OS::get_singleton()->print("\t-export <target> : Export the project using given export target.\n");
 #endif
 }

@@ -283,7 +287,7 @@
 		if (I->get() == "-noop") {

 			// no op
-		} else if (I->get() == "-h" || I->get() == "--help" || I->get() == "/?") { // resolution
+		} else if (I->get() == "-h" || I->get() == "-help" || I->get() == "--help" || I->get() == "/?") { // resolution

 			goto error;
